using System;
using System.Web.Razor;

namespace Muban.Template
{
    public interface IFileTemplate : ITemplate
    {
        string Parse(string virtualPath, Action<object> activator = null);
        string Parse(string virtualPath, RazorCodeLanguage language, Action<object> activator = null);
        string Include(string virtualPath);
        void Clear();

        string FileName { get; }
    }
}
